// $Id: dgas_paResItem.h,v 1.2 2003/12/02 13:50:06 guarise Exp $
// -------------------------------------------------------------------------
// Copyright (c) 2001-2002, The DataGrid project, INFN, 
// All rights reserved. See LICENSE file for details.
// -------------------------------------------------------------------------
// Author: Andrea Guarise <andrea.guarise@to.infn.it>
/***************************************************************************
 * Code borrowed from:
 *  authors   : 
 *             
 *  
 ***************************************************************************/


#ifndef DGAS_PARESITEM_H
#define DGAS_PARESITEM_H
#include<iostream>
#include<sstream>
#include<string>
#include "edg/workload/dgas/common/db.h"
#include "edg/workload/dgas/common/int2string.h"

using namespace std;

class paResItem {
	public:
		paResItem(string _resID = "", int _defMinTTL = 0,
			  int _suggPrice = 0);
		
		//public data member:
		string resID;	//resID i.e. the CE_ID
		int defMinTTL;  //minimumm TTL for the resource prices
		int suggestedPrice; // suggested price in case of manual
		                    // pricing scheme
		string histTable;
		
		//public methods:
		int put(); // substitutes old pa_low_put(DBH *, res_index *) + pa_low_create()
			   // you must first check with  paResItem::exists() if the record is present
		           // and then use  paResItem::put() or  paResItem::replace()
		int replace();
		int get(string &_resID); // substitutes old pa_low_get(DBH *, res_index *, string &resID)
		int del();
		bool exists(); //tells if a given resID is known in the DB
		
	private:
		//private data member:
		int id;		//internal auto-incrementing id
		//private methods:
		int createHist();//old pa_low_create
		
	
};

#endif
